/*
** File: diagnostic.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for diagnostic API IOCTL handlers.
**
** (C) Copyright Alpha Data 2009
*/

#if !defined(ADATA_ADMXRC3_DIAGNOSTIC_H)
#define ADATA_ADMXRC3_DIAGNOSTIC_H

#include <df.h>
#include "device.h"

#if 0
extern void
sensorPollNotifyCallback(
  CoreNotification* pCoreNotification,
  unsigned int notifyType,
  void* pCallbackContext);
#endif

extern DfIoStatus
ioctlDiagGetSensorInfo(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

extern DfIoStatus
ioctlDiagReadSensor(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

extern DfIoStatus
ioctlDiagReadSensorNoType(
	Admxrc3DeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int inSize,
  unsigned int outSize);

#endif
